<?php
declare(strict_types=1);

namespace Tiara\Mail;

/**
 * Class ConfigProvider
 *
 * @package Tiara\Mail\Sendinblue
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/tiara-mail
 */
final class ConfigProvider
{
    public function __invoke(): array
    {
        return [
            'sendinblue' => [
                'api_key' => '',
            ],

            'dependencies' => [
                'factories' => [
                    Transport\SendgridApi::class => Transport\SendgridApiFactory::class,
                    Transport\SendinblueApi::class => Transport\SendinblueApiFactory::class,
                ],
            ],
        ];
    }
}
