<?php
declare(strict_types=1);

namespace Tiara\Mail\Transport;

use Laminas\Mail\Transport\TransportInterface;
use Psr\Container\ContainerInterface;
use SendGrid;

/**
 * Class SendgridApiFactory
 *
 * @package Tiara\Mail\Transport
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/tiara-mail
 */
final class SendgridApiFactory
{
    public function __invoke(ContainerInterface $container): TransportInterface
    {
        $config = $container->get('config');
        $sendgrid = new SendGrid($config['sendgrid']['api_key'] ?? '');
        return new SendgridApi($sendgrid);
    }
}
