<?php
declare(strict_types=1);

namespace TiaraTest\Mail\Transport;

use Laminas\Mail\Message;
use PHPUnit\Framework\TestCase;
use SendGrid;
use Tiara\Mail\Transport\SendgridApi;

final class SendgridApiTest extends TestCase
{
    public function testCanSendEmail()
    {
        $config = include __DIR__ . '/../config.php';
        $sendgrid = new SendGrid($config['sendgrid']['api_key']);
        $transport = new SendgridApi($sendgrid);

        $message = new Message();
        $message->setTo('hipnaba@gmail.com');
        $message->setFrom('webshop@autokreso.hr', 'Pošiljatelj đšžćč');
        $message->setSubject('Test email đšžćč ĐŠŽĆČ');
        $message->setBody('testna poruka');

        $transport->send($message);
        $this->addToAssertionCount(1);
    }
}
