<?php
declare(strict_types=1);

namespace TiaraTest\Mail\Transport;

use GuzzleHttp\Client;
use Laminas\Mail\Message;
use PHPUnit\Framework\TestCase;

use SendinBlue\Client\Api\TransactionalEmailsApi;
use SendinBlue\Client\Configuration;
use Tiara\Mail\Transport\SendinblueApi;

/**
 * Class TransportTest
 *
 * @package TiaraTest\Mail\Sendinblue
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/tiara-mail
 */
final class SendinblueApiTest extends TestCase
{
    public function testCanSendEmail()
    {
        $config = include __DIR__ . '/../config.php';
        $config = Configuration::getDefaultConfiguration()->setApiKey(
            'api-key',
            $config['sendinblue']['api_key']
        );
        $apiInstance = new TransactionalEmailsApi(new Client(), $config);
        $transport = new SendinblueApi($apiInstance);

        $message = new Message();
        $message->setTo('hipnaba@gmail.com');
        $message->setFrom('webshop@autokreso.hr', 'Pošiljatelj đšžćč');
        $message->setSubject('Test email đšžćč ĐŠŽĆČ');
        $message->setBody('testna poruka');

        $transport->send($message);
        $this->addToAssertionCount(1);
    }
}
